Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 3499 in orxonox.OLD for orxonox/branches/levelloader/configure


Ignore:
Timestamp:
Mar 11, 2005, 2:55:27 PM (19 years ago)
Author:
chris
Message:

orxonox/branches/levelloader: merged updated trunk structure into levelloader branch

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/levelloader/configure

    r3385 r3499  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    867867  --enable-debug          compiles in debug mode. Lots of debug info about the
    868868                          game.
    869   --enable-sub-projects   also builds the subProjects by default
     869  --enable-sub-projects   also builds the subProjects while make from srcdir
    870870
    871871Optional Packages:
     
    873873  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    874874  --without-gtk           Prevents GTK from being loaded
     875  --without-gthread       Prevents gThread from being loaded
     876  --without-pthread       Prevents pthread from being loaded
     877  --without-curl          Prevents libcURL from being loaded
    875878  --without-sdl-image     Prevents SDL_image from being loaded
    876879
     
    13361339
    13371340
    1338 # Detect the canonical host and target build environment.
     1341## Detect the canonical host and target build environment.
    13391342ac_aux_dir=
    13401343for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
     
    14441447    NONENONEs,x,x, &&
    14451448  program_prefix=${target_alias}-
    1446 
    14471449
    14481450am__api_version="1.8"
     
    18511853
    18521854
    1853 
    1854 # Checks for programs.
     1855#########################
     1856## Checks for programs ##
     1857#########################
    18551858ac_ext=cc
    18561859ac_cpp='$CXXCPP $CPPFLAGS'
     
    38393842
    38403843
    3841 ### CHECKING  OPTIONAT ARGUMENTS
    3842 ## DEBUG-statement
     3844##################################
     3845## CHECKING  OPTIONAL ARGUMENTS ##
     3846##################################
     3847
     3848#-----------------#
     3849# DEBUG-statement #
     3850#-----------------#
    38433851DEBUG=no
    38443852echo "$as_me:$LINENO: checking if DEBUG-mode should be enabled" >&5
     
    38503858fi;
    38513859
    3852 if test "$DEBUG" = "no"; then
     3860if test x$DEBUG = xno; then
    38533861        echo "no"
    3854         echo " -> Setting debuglevel to 1. Like this you can still see errors."
    3855         DEBUG=1
    3856 elif test "$DEBUG" = yes; then
     3862        echo " -> Setting debuglevel to 3. (orxonox is still in Development. It really is needed."
     3863        DEBUG=3
     3864elif test x$DEBUG = xyes; then
    38573865        echo "yes"
    3858         echo " -> Setting debuglevel to 3. HARD DEBUG MODE!!."
    3859         DEBUG=3
    3860 else
    3861         echo "yes set to $DEBUG"
     3866        echo " -> Setting debuglevel to 4. HARD DEBUG MODE!!."
     3867        DEBUG=4
     3868else
     3869        echo "yes: setting debuglevel to to $DEBUG"
    38623870fi
    38633871
     
    38693877
    38703878
    3871 ## GTK-disabled
     3879#--------------#
     3880# GTK-disabled #
     3881#--------------#
    38723882echo "$as_me:$LINENO: checking if gtk should be enabled" >&5
    38733883echo $ECHO_N "checking if gtk should be enabled... $ECHO_C" >&6
     
    38803890  def_gtk=yes
    38813891fi;
    3882 if test "$def_gtk" = yes; then
     3892if test x$def_gtk = xyes; then
    38833893  echo "yes"
    38843894fi
    3885 if test "$def_gtk" = no; then
     3895if test x$def_gtk = xno; then
    38863896  echo "no"
    38873897fi
    3888 ### SDL_image-disable
     3898
     3899#------------------#
     3900# gThread-disabled #
     3901#------------------#
     3902echo "$as_me:$LINENO: checking if gThread should be enabled" >&5
     3903echo $ECHO_N "checking if gThread should be enabled... $ECHO_C" >&6
     3904
     3905# Check whether --with-gthread or --without-gthread was given.
     3906if test "${with_gthread+set}" = set; then
     3907  withval="$with_gthread"
     3908  def_gthread=no
     3909else
     3910  def_gthread=yes
     3911fi;
     3912if test x$def_gthread = xyes; then
     3913  echo "yes"
     3914fi
     3915if test x$def_gthread = xno; then
     3916  echo "no"
     3917fi
     3918
     3919#------------------#
     3920# pthread-disabled #
     3921#------------------#
     3922echo "$as_me:$LINENO: checking if pthread should be enabled" >&5
     3923echo $ECHO_N "checking if pthread should be enabled... $ECHO_C" >&6
     3924
     3925# Check whether --with-pthread or --without-pthread was given.
     3926if test "${with_pthread+set}" = set; then
     3927  withval="$with_pthread"
     3928  def_pthread=no
     3929else
     3930  def_pthread=yes
     3931fi;
     3932if test x$def_pthread = xyes; then
     3933  echo "yes"
     3934fi
     3935if test x$def_pthread = xno; then
     3936  echo "no"
     3937fi
     3938
     3939#------------------#
     3940# libCurl-disabled #
     3941#------------------#
     3942echo "$as_me:$LINENO: checking if libcURL should be enabled" >&5
     3943echo $ECHO_N "checking if libcURL should be enabled... $ECHO_C" >&6
     3944
     3945# Check whether --with-curl or --without-curl was given.
     3946if test "${with_curl+set}" = set; then
     3947  withval="$with_curl"
     3948  def_curl=no
     3949else
     3950  def_curl=yes
     3951fi;
     3952if test x$def_curl = xyes; then
     3953  echo "yes"
     3954fi
     3955if test x$def_curl = xno; then
     3956  echo "no"
     3957fi
     3958
     3959#-------------------#
     3960# SDL_image-disable #
     3961#-------------------#
    38893962def_sdl_image=yes
    38903963echo "$as_me:$LINENO: checking if SDL_image should be enabled" >&5
     
    38963969  def_sdl_image=no
    38973970fi;
    3898 if test "$def_sdl_image" = yes; then
     3971if test x$def_sdl_image = xyes; then
    38993972  echo "yes"
    39003973fi
    3901 if test "$def_sdl_image" = no; then
     3974if test x$def_sdl_image = xno; then
    39023975  echo "no"
    39033976fi
    3904 
    3905 
    3906 ### SubProject-enable
    3907 def_sdl_image=yes
     3977#-------------------#
     3978# SubProject-enable #
     3979#-------------------#
     3980def_sub_projects=no
    39083981echo "$as_me:$LINENO: checking if the SubProjects should be built" >&5
    39093982echo $ECHO_N "checking if the SubProjects should be built... $ECHO_C" >&6
     
    39133986  def_sub_projects=yes
    39143987fi;
    3915 if test "$def_sub_projects" = yes; then
     3988if test x$def_sub_projects = xyes; then
    39163989  echo "yes"
    39173990fi
    3918 if test "$def_sub_projects" = no; then
     3991if test x$def_sub_projects = xno; then
    39193992  echo "no"
    39203993fi
     
    39304003
    39314004
    3932 ## PROGRAMM CHECKING
    3933 # checking for Doxygen
     4005#######################
     4006## PROGRAMM CHECKING ##
     4007## 3. party Programs ##
     4008#######################
     4009
     4010#----------------------#
     4011# checking for Doxygen #
     4012#----------------------#
    39344013# Extract the first word of "doxygen", so it can be a program name with args.
    39354014set dummy doxygen; ac_word=$2
     
    39824061
    39834062
    3984 ### CHECKING FOR SYSTEM ###
     4063#########################
     4064## CHECKING FOR SYSTEM ##
     4065#########################
     4066## here the system is checked, and openGL is included
     4067## also checking for SDL on differen Systems
    39854068
    39864069echo "$as_me:$LINENO: checking for System" >&5
     
    39884071## checking for openGL-environment and other sys-specific parameters
    39894072case "$target" in
    3990 ### WINDOWS ###
     4073#---------#
     4074# WINDOWS #
     4075#---------#
    39914076  *-*-mingw32*)
    39924077echo "mingw-WINDOWS detected"
     
    42914376fi
    42924377
    4293     if test "$FOUND_opengl32" = "yes" ; then
     4378    if test x$FOUND_opengl32 = xyes ; then
    42944379        LIBS="$LIBS -lopengl32"
    42954380    else
     
    45204605fi
    45214606
    4522     if test "$FOUND_glu32" = "yes" ; then
     4607    if test x$FOUND_glu32 = xyes ; then
    45234608        LIBS="$LIBS -lGLU32"
    45244609    else
     
    45934678fi
    45944679
    4595     if test $FOUND_mingw32 = "yes"; then
     4680    if test x$FOUND_mingw32 = xyes; then
    45964681        LIBS="$LIBS -lmingw32"
    45974682    fi
     
    48154900fi
    48164901
    4817     if test "$FOUND_sdlmain" = "yes" ; then
     4902    if test x$FOUND_sdlmain = xyes ; then
    48184903       LIBS="$LIBS -lsdlmain"
    48194904    else
     
    48864971fi
    48874972
    4888     if test "$FOUND_sdl" = "yes" ; then
     4973    if test x$FOUND_sdl = xyes ; then
    48894974       LIBS="$LIBS -lsdl"
    48904975    else
     
    48974982
    48984983    ;;
    4899 
    4900 ### LINUX ###
     4984#-------#
     4985# LINUX #
     4986#-------#
    49014987 *-*-linux*)
    49024988echo "Linux detected"
     
    51315217fi
    51325218
    5133    if test "$FOUND_GL" = "yes" ; then
     5219   if test x$FOUND_GL = xyes ; then
    51345220     LIBS="$LIBS -lGL"
    51355221   else
     
    53655451fi
    53665452
    5367     if test "$FOUND_GLU" = "yes" ; then
     5453    if test x$FOUND_GLU = xyes ; then
    53685454      LIBS="$LIBS -lGLU"
    53695455    else
     
    55945680fi
    55955681
    5596      if test "$FOUND_SDL" = "yes" ; then
     5682     if test x$FOUND_SDL = xyes ; then
    55975683       LIBS="$LIBS -lSDL"
    55985684     else
     
    56145700#    LIBS="$LIBS $SDL_LIBS"
    56155701    ;;
    5616 
    5617 ### OS X ###
     5702#-----------#
     5703# MAC -OS X #
     5704#-----------#
    56185705 *darwin*)
    5619 echo "OS X detected"
     5706 echo "OS X detected"
    56205707
    56215708 osX="yes"
     
    59356022   LIBS="$LIBS -framework OpenGL"
    59366023
     6024       SDL_CFLAGS=`sdl-config --cflags`
     6025       SDL_LIBS=`sdl-config --libs`
     6026       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     6027       LIBS="$LIBS $SDL_LIBS"
     6028
     6029
    59376030# checking for SDL-headers
    59386031#    AC_CHECK_HEADERS(SDL/SDL.h ,,
     
    59466039#      )
    59476040
    5948        SDL_CFLAGS=`sdl-config --cflags`
    5949        SDL_LIBS=`sdl-config --libs`
    5950        CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    5951        LIBS="$LIBS $SDL_LIBS"
    59526041
    59536042    ;;
     
    59596048
    59606049
    5961 ## check for SDL_Image
    5962 if test "$def_sdl_image" = "yes"; then
     6050###################################
     6051## CHECKING FOR HEADERS AND LIBS ##
     6052###################################
     6053
     6054#-----------#
     6055# SDL_Image #
     6056#-----------#
     6057if test x$def_sdl_image = xyes; then
    59636058# checking for SDL_image-headers
    59646059
     
    61156210
    61166211fi
    6117 if test "$def_sdl_image" = "yes"; then
     6212if test x$def_sdl_image = xyes; then
    61186213# checking for SDL_image-lib
    61196214  echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
     
    61796274fi
    61806275
    6181      if test "$FOUND_SDL_image" = "yes" ; then
     6276     if test x$FOUND_SDL_image = xyes ; then
    61826277       LIBS="$LIBS -lSDL_image"
    61836278     else
     
    61906285fi
    61916286
    6192 
    6193 if test "$def_sdl_image" = "no"; then
    6194  ## checking for libjpeg
     6287## case no SDL-image:
     6288if test x$def_sdl_image = xno; then
     6289#---------#
     6290# libjpeg #
     6291#---------#
    61956292
    61966293for ac_header in jpeglib.h
     
    63456442done
    63466443
    6347  if test $jpegHeader = "no"; then
     6444 if test x$jpegHeader = xno; then
    63486445        echo " not including jpeg."
    63496446 else
     
    64106507fi
    64116508
    6412     if test "$FOUND_jpeg" = "yes" ; then
     6509    if test x$FOUND_jpeg = xyes ; then
    64136510      LIBS="$LIBS -ljpeg"
    64146511    else
     
    64216518 fi
    64226519
    6423  ## checking for libpng
     6520#--------#
     6521# libpng #
     6522#--------#
    64246523
    64256524for ac_header in png.h
     
    65746673done
    65756674
    6576  if test $pngHeader = "no"; then
     6675 if test x$pngHeader = xno; then
    65776676        echo " not including png."
    65786677 else
     
    66396738fi
    66406739
    6641     if test "$FOUND_png" = "yes" ; then
     6740    if test x$FOUND_png = xyes ; then
    66426741      LIBS="$LIBS -lpng"
    66436742    else
     
    66516750fi
    66526751
    6653 ## checking for GTK
    6654 if test "$def_gtk" = yes; then
     6752#-----#
     6753# GTK #
     6754#-----#
     6755if test x$def_gtk = xyes; then
    66556756
    66566757        #PKG_CHECK_MODULES(GTK2, gtk+-2.0 >= 2.0.3 gthread-2.0 >= 2.0.3, have_gtk2=yes, have_gtk2=no)
     
    66856786
    66866787
    6687 
    6688 
    6689 #checking for pthread libs
    6690 # AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
    6691 # if test "$FOUND_pthread" = "yes" ; then
    6692 #    LIBS="$LIBS -lpthread"
    6693 # fi
    6694 
    6695 
    6696 # FIXME: Replace `main' with a function in `-lm':
    6697 
    6698 echo "$as_me:$LINENO: checking for main in -lm" >&5
    6699 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
    6700 if test "${ac_cv_lib_m_main+set}" = set; then
    6701   echo $ECHO_N "(cached) $ECHO_C" >&6
    6702 else
    6703   ac_check_lib_save_LIBS=$LIBS
    6704 LIBS="-lm  $LIBS"
    6705 cat >conftest.$ac_ext <<_ACEOF
    6706 /* confdefs.h.  */
    6707 _ACEOF
    6708 cat confdefs.h >>conftest.$ac_ext
    6709 cat >>conftest.$ac_ext <<_ACEOF
    6710 /* end confdefs.h.  */
    6711 
    6712 
    6713 int
    6714 main ()
    6715 {
    6716 main ();
    6717   ;
    6718   return 0;
    6719 }
    6720 _ACEOF
    6721 rm -f conftest.$ac_objext conftest$ac_exeext
    6722 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6723   (eval $ac_link) 2>conftest.er1
    6724   ac_status=$?
    6725   grep -v '^ *+' conftest.er1 >conftest.err
    6726   rm -f conftest.er1
    6727   cat conftest.err >&5
    6728   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6729   (exit $ac_status); } &&
    6730          { ac_try='test -z "$ac_c_werror_flag"
    6731                          || test ! -s conftest.err'
    6732   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6733   (eval $ac_try) 2>&5
    6734   ac_status=$?
    6735   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6736   (exit $ac_status); }; } &&
    6737          { ac_try='test -s conftest$ac_exeext'
    6738   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6739   (eval $ac_try) 2>&5
    6740   ac_status=$?
    6741   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6742   (exit $ac_status); }; }; then
    6743   ac_cv_lib_m_main=yes
    6744 else
    6745   echo "$as_me: failed program was:" >&5
    6746 sed 's/^/| /' conftest.$ac_ext >&5
    6747 
    6748 ac_cv_lib_m_main=no
    6749 fi
    6750 rm -f conftest.err conftest.$ac_objext \
    6751       conftest$ac_exeext conftest.$ac_ext
    6752 LIBS=$ac_check_lib_save_LIBS
    6753 fi
    6754 echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
    6755 echo "${ECHO_T}$ac_cv_lib_m_main" >&6
    6756 if test $ac_cv_lib_m_main = yes; then
    6757   cat >>confdefs.h <<_ACEOF
    6758 #define HAVE_LIBM 1
    6759 _ACEOF
    6760 
    6761   LIBS="-lm $LIBS"
    6762 
    6763 fi
    6764 
    6765 
    6766 
    6767 # Checks for header files.
    6768 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    6769 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    6770 if test "${ac_cv_header_stdc+set}" = set; then
    6771   echo $ECHO_N "(cached) $ECHO_C" >&6
    6772 else
    6773   cat >conftest.$ac_ext <<_ACEOF
    6774 /* confdefs.h.  */
    6775 _ACEOF
    6776 cat confdefs.h >>conftest.$ac_ext
    6777 cat >>conftest.$ac_ext <<_ACEOF
    6778 /* end confdefs.h.  */
    6779 #include <stdlib.h>
    6780 #include <stdarg.h>
    6781 #include <string.h>
    6782 #include <float.h>
    6783 
    6784 int
    6785 main ()
    6786 {
    6787 
    6788   ;
    6789   return 0;
    6790 }
    6791 _ACEOF
    6792 rm -f conftest.$ac_objext
    6793 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6794   (eval $ac_compile) 2>conftest.er1
    6795   ac_status=$?
    6796   grep -v '^ *+' conftest.er1 >conftest.err
    6797   rm -f conftest.er1
    6798   cat conftest.err >&5
    6799   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6800   (exit $ac_status); } &&
    6801          { ac_try='test -z "$ac_c_werror_flag"
    6802                          || test ! -s conftest.err'
    6803   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6804   (eval $ac_try) 2>&5
    6805   ac_status=$?
    6806   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6807   (exit $ac_status); }; } &&
    6808          { ac_try='test -s conftest.$ac_objext'
    6809   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6810   (eval $ac_try) 2>&5
    6811   ac_status=$?
    6812   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6813   (exit $ac_status); }; }; then
    6814   ac_cv_header_stdc=yes
    6815 else
    6816   echo "$as_me: failed program was:" >&5
    6817 sed 's/^/| /' conftest.$ac_ext >&5
    6818 
    6819 ac_cv_header_stdc=no
    6820 fi
    6821 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6822 
    6823 if test $ac_cv_header_stdc = yes; then
    6824   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    6825   cat >conftest.$ac_ext <<_ACEOF
    6826 /* confdefs.h.  */
    6827 _ACEOF
    6828 cat confdefs.h >>conftest.$ac_ext
    6829 cat >>conftest.$ac_ext <<_ACEOF
    6830 /* end confdefs.h.  */
    6831 #include <string.h>
    6832 
    6833 _ACEOF
    6834 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6835   $EGREP "memchr" >/dev/null 2>&1; then
    6836   :
    6837 else
    6838   ac_cv_header_stdc=no
    6839 fi
    6840 rm -f conftest*
    6841 
    6842 fi
    6843 
    6844 if test $ac_cv_header_stdc = yes; then
    6845   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    6846   cat >conftest.$ac_ext <<_ACEOF
    6847 /* confdefs.h.  */
    6848 _ACEOF
    6849 cat confdefs.h >>conftest.$ac_ext
    6850 cat >>conftest.$ac_ext <<_ACEOF
    6851 /* end confdefs.h.  */
    6852 #include <stdlib.h>
    6853 
    6854 _ACEOF
    6855 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6856   $EGREP "free" >/dev/null 2>&1; then
    6857   :
    6858 else
    6859   ac_cv_header_stdc=no
    6860 fi
    6861 rm -f conftest*
    6862 
    6863 fi
    6864 
    6865 if test $ac_cv_header_stdc = yes; then
    6866   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    6867   if test "$cross_compiling" = yes; then
    6868   :
    6869 else
    6870   cat >conftest.$ac_ext <<_ACEOF
    6871 /* confdefs.h.  */
    6872 _ACEOF
    6873 cat confdefs.h >>conftest.$ac_ext
    6874 cat >>conftest.$ac_ext <<_ACEOF
    6875 /* end confdefs.h.  */
    6876 #include <ctype.h>
    6877 #if ((' ' & 0x0FF) == 0x020)
    6878 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    6879 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    6880 #else
    6881 # define ISLOWER(c) \
    6882                    (('a' <= (c) && (c) <= 'i') \
    6883                      || ('j' <= (c) && (c) <= 'r') \
    6884                      || ('s' <= (c) && (c) <= 'z'))
    6885 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    6886 #endif
    6887 
    6888 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    6889 int
    6890 main ()
    6891 {
    6892   int i;
    6893   for (i = 0; i < 256; i++)
    6894     if (XOR (islower (i), ISLOWER (i))
    6895         || toupper (i) != TOUPPER (i))
    6896       exit(2);
    6897   exit (0);
    6898 }
    6899 _ACEOF
    6900 rm -f conftest$ac_exeext
    6901 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6902   (eval $ac_link) 2>&5
    6903   ac_status=$?
    6904   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6905   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    6906   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6907   (eval $ac_try) 2>&5
    6908   ac_status=$?
    6909   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6910   (exit $ac_status); }; }; then
    6911   :
    6912 else
    6913   echo "$as_me: program exited with status $ac_status" >&5
    6914 echo "$as_me: failed program was:" >&5
    6915 sed 's/^/| /' conftest.$ac_ext >&5
    6916 
    6917 ( exit $ac_status )
    6918 ac_cv_header_stdc=no
    6919 fi
    6920 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    6921 fi
    6922 fi
    6923 fi
    6924 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    6925 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    6926 if test $ac_cv_header_stdc = yes; then
    6927 
    6928 cat >>confdefs.h <<\_ACEOF
    6929 #define STDC_HEADERS 1
    6930 _ACEOF
    6931 
    6932 fi
    6933 
    6934 
    6935 
    6936 for ac_header in stdlib.h string.h
     6788#---------#
     6789# gThread #
     6790#---------#
     6791if test x$def_gthread = xyes; then
     6792
     6793        echo "$as_me:$LINENO: checking for gthread" >&5
     6794echo $ECHO_N "checking for gthread... $ECHO_C" >&6
     6795        if `pkg-config --exists gthread-2.0`; then
     6796                echo "yes"
     6797                have_gthread=yes
     6798                GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
     6799                GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
     6800
     6801cat >>confdefs.h <<_ACEOF
     6802#define HAVE_GTHREAD 1
     6803_ACEOF
     6804
     6805        else
     6806                echo "no"
     6807        fi
     6808
     6809fi
     6810
     6811
     6812
     6813
     6814if test x$have_gthread = xyes; then
     6815  HAVE_GTHREAD_TRUE=
     6816  HAVE_GTHREAD_FALSE='#'
     6817else
     6818  HAVE_GTHREAD_TRUE='#'
     6819  HAVE_GTHREAD_FALSE=
     6820fi
     6821
     6822
     6823#---------#
     6824# libcURL #
     6825#---------#
     6826if test x$def_curl = xyes; then
     6827
     6828
     6829for ac_header in curl/curl.h
    69376830do
    69386831as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    70786971#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    70796972_ACEOF
    7080 
     6973 curlHeader="yes"
     6974else
     6975  curlHeader="no"
    70816976fi
    70826977
    70836978done
    70846979
    7085 
    7086 # Checks for typedefs, structures, and compiler characteristics.
    7087 echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
    7088 echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
    7089 if test "${ac_cv_header_stdbool_h+set}" = set; then
     6980 echo "$as_me:$LINENO: checking for main in -lcurl" >&5
     6981echo $ECHO_N "checking for main in -lcurl... $ECHO_C" >&6
     6982if test "${ac_cv_lib_curl_main+set}" = set; then
    70906983  echo $ECHO_N "(cached) $ECHO_C" >&6
    70916984else
    7092   cat >conftest.$ac_ext <<_ACEOF
     6985  ac_check_lib_save_LIBS=$LIBS
     6986LIBS="-lcurl  $LIBS"
     6987cat >conftest.$ac_ext <<_ACEOF
    70936988/* confdefs.h.  */
    70946989_ACEOF
     
    70976992/* end confdefs.h.  */
    70986993
    7099 #include <stdbool.h>
    7100 #ifndef bool
    7101 # error bool is not defined
    7102 #endif
    7103 #ifndef false
    7104 # error false is not defined
    7105 #endif
    7106 #if false
    7107 # error false is not 0
    7108 #endif
    7109 #ifndef true
    7110 # error true is not defined
    7111 #endif
    7112 #if true != 1
    7113 # error true is not 1
    7114 #endif
    7115 #ifndef __bool_true_false_are_defined
    7116 # error __bool_true_false_are_defined is not defined
    7117 #endif
    7118 
    7119         struct s { _Bool s: 1; _Bool t; } s;
    7120 
    7121         char a[true == 1 ? 1 : -1];
    7122         char b[false == 0 ? 1 : -1];
    7123         char c[__bool_true_false_are_defined == 1 ? 1 : -1];
    7124         char d[(bool) -0.5 == true ? 1 : -1];
    7125         bool e = &s;
    7126         char f[(_Bool) -0.0 == false ? 1 : -1];
    7127         char g[true];
    7128         char h[sizeof (_Bool)];
    7129         char i[sizeof s.t];
    71306994
    71316995int
    71326996main ()
    71336997{
    7134  return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     6998main ();
    71356999  ;
    71367000  return 0;
    71377001}
    71387002_ACEOF
    7139 rm -f conftest.$ac_objext
    7140 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7141   (eval $ac_compile) 2>conftest.er1
     7003rm -f conftest.$ac_objext conftest$ac_exeext
     7004if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7005  (eval $ac_link) 2>conftest.er1
    71427006  ac_status=$?
    71437007  grep -v '^ *+' conftest.er1 >conftest.err
     
    71537017  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71547018  (exit $ac_status); }; } &&
    7155          { ac_try='test -s conftest.$ac_objext'
     7019         { ac_try='test -s conftest$ac_exeext'
    71567020  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    71577021  (eval $ac_try) 2>&5
     
    71597023  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    71607024  (exit $ac_status); }; }; then
    7161   ac_cv_header_stdbool_h=yes
     7025  ac_cv_lib_curl_main=yes
    71627026else
    71637027  echo "$as_me: failed program was:" >&5
    71647028sed 's/^/| /' conftest.$ac_ext >&5
    71657029
    7166 ac_cv_header_stdbool_h=no
    7167 fi
    7168 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7169 fi
    7170 echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
    7171 echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
    7172 echo "$as_me:$LINENO: checking for _Bool" >&5
    7173 echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
    7174 if test "${ac_cv_type__Bool+set}" = set; then
    7175   echo $ECHO_N "(cached) $ECHO_C" >&6
    7176 else
    7177   cat >conftest.$ac_ext <<_ACEOF
    7178 /* confdefs.h.  */
    7179 _ACEOF
    7180 cat confdefs.h >>conftest.$ac_ext
    7181 cat >>conftest.$ac_ext <<_ACEOF
    7182 /* end confdefs.h.  */
    7183 $ac_includes_default
    7184 int
    7185 main ()
    7186 {
    7187 if ((_Bool *) 0)
    7188   return 0;
    7189 if (sizeof (_Bool))
    7190   return 0;
    7191   ;
    7192   return 0;
    7193 }
    7194 _ACEOF
    7195 rm -f conftest.$ac_objext
    7196 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7197   (eval $ac_compile) 2>conftest.er1
    7198   ac_status=$?
    7199   grep -v '^ *+' conftest.er1 >conftest.err
    7200   rm -f conftest.er1
    7201   cat conftest.err >&5
    7202   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7203   (exit $ac_status); } &&
    7204          { ac_try='test -z "$ac_c_werror_flag"
    7205                          || test ! -s conftest.err'
    7206   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7207   (eval $ac_try) 2>&5
    7208   ac_status=$?
    7209   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7210   (exit $ac_status); }; } &&
    7211          { ac_try='test -s conftest.$ac_objext'
    7212   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7213   (eval $ac_try) 2>&5
    7214   ac_status=$?
    7215   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7216   (exit $ac_status); }; }; then
    7217   ac_cv_type__Bool=yes
    7218 else
    7219   echo "$as_me: failed program was:" >&5
    7220 sed 's/^/| /' conftest.$ac_ext >&5
    7221 
    7222 ac_cv_type__Bool=no
    7223 fi
    7224 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7225 fi
    7226 echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
    7227 echo "${ECHO_T}$ac_cv_type__Bool" >&6
    7228 if test $ac_cv_type__Bool = yes; then
     7030ac_cv_lib_curl_main=no
     7031fi
     7032rm -f conftest.err conftest.$ac_objext \
     7033      conftest$ac_exeext conftest.$ac_ext
     7034LIBS=$ac_check_lib_save_LIBS
     7035fi
     7036echo "$as_me:$LINENO: result: $ac_cv_lib_curl_main" >&5
     7037echo "${ECHO_T}$ac_cv_lib_curl_main" >&6
     7038if test $ac_cv_lib_curl_main = yes; then
     7039  FOUND_curl=yes
     7040fi
     7041
     7042 if test x$curlHeader = xyes & test x$FOUND_curl = xyes ; then
     7043  have_curl=yes
     7044  CURL_LIBS=`curl-config --libs`
     7045  CURLCFLAGS=`curl-config --cflags`
    72297046
    72307047cat >>confdefs.h <<_ACEOF
    7231 #define HAVE__BOOL 1
    7232 _ACEOF
    7233 
    7234 
    7235 fi
    7236 
    7237 if test $ac_cv_header_stdbool_h = yes; then
    7238 
    7239 cat >>confdefs.h <<\_ACEOF
    7240 #define HAVE_STDBOOL_H 1
    7241 _ACEOF
    7242 
    7243 fi
    7244 
    7245 
    7246 # Checks for library functions.
    7247 
    7248 for ac_header in stdlib.h
     7048#define HAVE_CURL 1
     7049_ACEOF
     7050
     7051 else
     7052  have_curl=no
     7053 fi
     7054
     7055fi
     7056
     7057
     7058
     7059
     7060if test x$have_curl = xyes; then
     7061  HAVE_CURL_TRUE=
     7062  HAVE_CURL_FALSE='#'
     7063else
     7064  HAVE_CURL_TRUE='#'
     7065  HAVE_CURL_FALSE=
     7066fi
     7067
     7068
     7069#---------#
     7070# pthread #
     7071#---------#
     7072if test x$def_pthread = xyes ; then
     7073 if test x$have_gthread = xyes ; then
     7074
     7075for ac_header in pthread.h
    72497076do
    72507077as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    73907217#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    73917218_ACEOF
     7219 pthreadHeader="yes"
     7220else
     7221  pthreadHeader="no"
     7222fi
     7223
     7224done
     7225
     7226  echo "$as_me:$LINENO: checking for main in -lpthread" >&5
     7227echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
     7228if test "${ac_cv_lib_pthread_main+set}" = set; then
     7229  echo $ECHO_N "(cached) $ECHO_C" >&6
     7230else
     7231  ac_check_lib_save_LIBS=$LIBS
     7232LIBS="-lpthread  $LIBS"
     7233cat >conftest.$ac_ext <<_ACEOF
     7234/* confdefs.h.  */
     7235_ACEOF
     7236cat confdefs.h >>conftest.$ac_ext
     7237cat >>conftest.$ac_ext <<_ACEOF
     7238/* end confdefs.h.  */
     7239
     7240
     7241int
     7242main ()
     7243{
     7244main ();
     7245  ;
     7246  return 0;
     7247}
     7248_ACEOF
     7249rm -f conftest.$ac_objext conftest$ac_exeext
     7250if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7251  (eval $ac_link) 2>conftest.er1
     7252  ac_status=$?
     7253  grep -v '^ *+' conftest.er1 >conftest.err
     7254  rm -f conftest.er1
     7255  cat conftest.err >&5
     7256  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7257  (exit $ac_status); } &&
     7258         { ac_try='test -z "$ac_c_werror_flag"
     7259                         || test ! -s conftest.err'
     7260  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7261  (eval $ac_try) 2>&5
     7262  ac_status=$?
     7263  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7264  (exit $ac_status); }; } &&
     7265         { ac_try='test -s conftest$ac_exeext'
     7266  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7267  (eval $ac_try) 2>&5
     7268  ac_status=$?
     7269  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7270  (exit $ac_status); }; }; then
     7271  ac_cv_lib_pthread_main=yes
     7272else
     7273  echo "$as_me: failed program was:" >&5
     7274sed 's/^/| /' conftest.$ac_ext >&5
     7275
     7276ac_cv_lib_pthread_main=no
     7277fi
     7278rm -f conftest.err conftest.$ac_objext \
     7279      conftest$ac_exeext conftest.$ac_ext
     7280LIBS=$ac_check_lib_save_LIBS
     7281fi
     7282echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
     7283echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
     7284if test $ac_cv_lib_pthread_main = yes; then
     7285  FOUND_pthread=yes
     7286fi
     7287
     7288   if test x$FOUND_pthread = xyes ; then
     7289      LIBS="$LIBS -lpthread"
     7290   fi
     7291 fi
     7292fi
     7293
     7294
     7295# FIXME: Replace `main' with a function in `-lm':
     7296
     7297echo "$as_me:$LINENO: checking for main in -lm" >&5
     7298echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
     7299if test "${ac_cv_lib_m_main+set}" = set; then
     7300  echo $ECHO_N "(cached) $ECHO_C" >&6
     7301else
     7302  ac_check_lib_save_LIBS=$LIBS
     7303LIBS="-lm  $LIBS"
     7304cat >conftest.$ac_ext <<_ACEOF
     7305/* confdefs.h.  */
     7306_ACEOF
     7307cat confdefs.h >>conftest.$ac_ext
     7308cat >>conftest.$ac_ext <<_ACEOF
     7309/* end confdefs.h.  */
     7310
     7311
     7312int
     7313main ()
     7314{
     7315main ();
     7316  ;
     7317  return 0;
     7318}
     7319_ACEOF
     7320rm -f conftest.$ac_objext conftest$ac_exeext
     7321if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7322  (eval $ac_link) 2>conftest.er1
     7323  ac_status=$?
     7324  grep -v '^ *+' conftest.er1 >conftest.err
     7325  rm -f conftest.er1
     7326  cat conftest.err >&5
     7327  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7328  (exit $ac_status); } &&
     7329         { ac_try='test -z "$ac_c_werror_flag"
     7330                         || test ! -s conftest.err'
     7331  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7332  (eval $ac_try) 2>&5
     7333  ac_status=$?
     7334  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7335  (exit $ac_status); }; } &&
     7336         { ac_try='test -s conftest$ac_exeext'
     7337  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7338  (eval $ac_try) 2>&5
     7339  ac_status=$?
     7340  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7341  (exit $ac_status); }; }; then
     7342  ac_cv_lib_m_main=yes
     7343else
     7344  echo "$as_me: failed program was:" >&5
     7345sed 's/^/| /' conftest.$ac_ext >&5
     7346
     7347ac_cv_lib_m_main=no
     7348fi
     7349rm -f conftest.err conftest.$ac_objext \
     7350      conftest$ac_exeext conftest.$ac_ext
     7351LIBS=$ac_check_lib_save_LIBS
     7352fi
     7353echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
     7354echo "${ECHO_T}$ac_cv_lib_m_main" >&6
     7355if test $ac_cv_lib_m_main = yes; then
     7356  cat >>confdefs.h <<_ACEOF
     7357#define HAVE_LIBM 1
     7358_ACEOF
     7359
     7360  LIBS="-lm $LIBS"
     7361
     7362fi
     7363
     7364
     7365
     7366# Checks for header files.
     7367echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     7368echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     7369if test "${ac_cv_header_stdc+set}" = set; then
     7370  echo $ECHO_N "(cached) $ECHO_C" >&6
     7371else
     7372  cat >conftest.$ac_ext <<_ACEOF
     7373/* confdefs.h.  */
     7374_ACEOF
     7375cat confdefs.h >>conftest.$ac_ext
     7376cat >>conftest.$ac_ext <<_ACEOF
     7377/* end confdefs.h.  */
     7378#include <stdlib.h>
     7379#include <stdarg.h>
     7380#include <string.h>
     7381#include <float.h>
     7382
     7383int
     7384main ()
     7385{
     7386
     7387  ;
     7388  return 0;
     7389}
     7390_ACEOF
     7391rm -f conftest.$ac_objext
     7392if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7393  (eval $ac_compile) 2>conftest.er1
     7394  ac_status=$?
     7395  grep -v '^ *+' conftest.er1 >conftest.err
     7396  rm -f conftest.er1
     7397  cat conftest.err >&5
     7398  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7399  (exit $ac_status); } &&
     7400         { ac_try='test -z "$ac_c_werror_flag"
     7401                         || test ! -s conftest.err'
     7402  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7403  (eval $ac_try) 2>&5
     7404  ac_status=$?
     7405  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7406  (exit $ac_status); }; } &&
     7407         { ac_try='test -s conftest.$ac_objext'
     7408  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7409  (eval $ac_try) 2>&5
     7410  ac_status=$?
     7411  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7412  (exit $ac_status); }; }; then
     7413  ac_cv_header_stdc=yes
     7414else
     7415  echo "$as_me: failed program was:" >&5
     7416sed 's/^/| /' conftest.$ac_ext >&5
     7417
     7418ac_cv_header_stdc=no
     7419fi
     7420rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7421
     7422if test $ac_cv_header_stdc = yes; then
     7423  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     7424  cat >conftest.$ac_ext <<_ACEOF
     7425/* confdefs.h.  */
     7426_ACEOF
     7427cat confdefs.h >>conftest.$ac_ext
     7428cat >>conftest.$ac_ext <<_ACEOF
     7429/* end confdefs.h.  */
     7430#include <string.h>
     7431
     7432_ACEOF
     7433if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7434  $EGREP "memchr" >/dev/null 2>&1; then
     7435  :
     7436else
     7437  ac_cv_header_stdc=no
     7438fi
     7439rm -f conftest*
     7440
     7441fi
     7442
     7443if test $ac_cv_header_stdc = yes; then
     7444  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     7445  cat >conftest.$ac_ext <<_ACEOF
     7446/* confdefs.h.  */
     7447_ACEOF
     7448cat confdefs.h >>conftest.$ac_ext
     7449cat >>conftest.$ac_ext <<_ACEOF
     7450/* end confdefs.h.  */
     7451#include <stdlib.h>
     7452
     7453_ACEOF
     7454if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7455  $EGREP "free" >/dev/null 2>&1; then
     7456  :
     7457else
     7458  ac_cv_header_stdc=no
     7459fi
     7460rm -f conftest*
     7461
     7462fi
     7463
     7464if test $ac_cv_header_stdc = yes; then
     7465  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     7466  if test "$cross_compiling" = yes; then
     7467  :
     7468else
     7469  cat >conftest.$ac_ext <<_ACEOF
     7470/* confdefs.h.  */
     7471_ACEOF
     7472cat confdefs.h >>conftest.$ac_ext
     7473cat >>conftest.$ac_ext <<_ACEOF
     7474/* end confdefs.h.  */
     7475#include <ctype.h>
     7476#if ((' ' & 0x0FF) == 0x020)
     7477# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     7478# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     7479#else
     7480# define ISLOWER(c) \
     7481                   (('a' <= (c) && (c) <= 'i') \
     7482                     || ('j' <= (c) && (c) <= 'r') \
     7483                     || ('s' <= (c) && (c) <= 'z'))
     7484# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     7485#endif
     7486
     7487#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     7488int
     7489main ()
     7490{
     7491  int i;
     7492  for (i = 0; i < 256; i++)
     7493    if (XOR (islower (i), ISLOWER (i))
     7494        || toupper (i) != TOUPPER (i))
     7495      exit(2);
     7496  exit (0);
     7497}
     7498_ACEOF
     7499rm -f conftest$ac_exeext
     7500if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7501  (eval $ac_link) 2>&5
     7502  ac_status=$?
     7503  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7504  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     7505  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7506  (eval $ac_try) 2>&5
     7507  ac_status=$?
     7508  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7509  (exit $ac_status); }; }; then
     7510  :
     7511else
     7512  echo "$as_me: program exited with status $ac_status" >&5
     7513echo "$as_me: failed program was:" >&5
     7514sed 's/^/| /' conftest.$ac_ext >&5
     7515
     7516( exit $ac_status )
     7517ac_cv_header_stdc=no
     7518fi
     7519rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     7520fi
     7521fi
     7522fi
     7523echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     7524echo "${ECHO_T}$ac_cv_header_stdc" >&6
     7525if test $ac_cv_header_stdc = yes; then
     7526
     7527cat >>confdefs.h <<\_ACEOF
     7528#define STDC_HEADERS 1
     7529_ACEOF
     7530
     7531fi
     7532
     7533
     7534
     7535for ac_header in stdlib.h string.h
     7536do
     7537as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7538if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7539  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7540echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7541if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7542  echo $ECHO_N "(cached) $ECHO_C" >&6
     7543fi
     7544echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7545echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7546else
     7547  # Is the header compilable?
     7548echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7549echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7550cat >conftest.$ac_ext <<_ACEOF
     7551/* confdefs.h.  */
     7552_ACEOF
     7553cat confdefs.h >>conftest.$ac_ext
     7554cat >>conftest.$ac_ext <<_ACEOF
     7555/* end confdefs.h.  */
     7556$ac_includes_default
     7557#include <$ac_header>
     7558_ACEOF
     7559rm -f conftest.$ac_objext
     7560if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7561  (eval $ac_compile) 2>conftest.er1
     7562  ac_status=$?
     7563  grep -v '^ *+' conftest.er1 >conftest.err
     7564  rm -f conftest.er1
     7565  cat conftest.err >&5
     7566  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7567  (exit $ac_status); } &&
     7568         { ac_try='test -z "$ac_c_werror_flag"
     7569                         || test ! -s conftest.err'
     7570  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7571  (eval $ac_try) 2>&5
     7572  ac_status=$?
     7573  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7574  (exit $ac_status); }; } &&
     7575         { ac_try='test -s conftest.$ac_objext'
     7576  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7577  (eval $ac_try) 2>&5
     7578  ac_status=$?
     7579  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7580  (exit $ac_status); }; }; then
     7581  ac_header_compiler=yes
     7582else
     7583  echo "$as_me: failed program was:" >&5
     7584sed 's/^/| /' conftest.$ac_ext >&5
     7585
     7586ac_header_compiler=no
     7587fi
     7588rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7589echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7590echo "${ECHO_T}$ac_header_compiler" >&6
     7591
     7592# Is the header present?
     7593echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7594echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7595cat >conftest.$ac_ext <<_ACEOF
     7596/* confdefs.h.  */
     7597_ACEOF
     7598cat confdefs.h >>conftest.$ac_ext
     7599cat >>conftest.$ac_ext <<_ACEOF
     7600/* end confdefs.h.  */
     7601#include <$ac_header>
     7602_ACEOF
     7603if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7604  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7605  ac_status=$?
     7606  grep -v '^ *+' conftest.er1 >conftest.err
     7607  rm -f conftest.er1
     7608  cat conftest.err >&5
     7609  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7610  (exit $ac_status); } >/dev/null; then
     7611  if test -s conftest.err; then
     7612    ac_cpp_err=$ac_c_preproc_warn_flag
     7613    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7614  else
     7615    ac_cpp_err=
     7616  fi
     7617else
     7618  ac_cpp_err=yes
     7619fi
     7620if test -z "$ac_cpp_err"; then
     7621  ac_header_preproc=yes
     7622else
     7623  echo "$as_me: failed program was:" >&5
     7624sed 's/^/| /' conftest.$ac_ext >&5
     7625
     7626  ac_header_preproc=no
     7627fi
     7628rm -f conftest.err conftest.$ac_ext
     7629echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7630echo "${ECHO_T}$ac_header_preproc" >&6
     7631
     7632# So?  What about this header?
     7633case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7634  yes:no: )
     7635    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7636echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7637    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7638echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7639    ac_header_preproc=yes
     7640    ;;
     7641  no:yes:* )
     7642    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7643echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7644    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7645echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7646    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7647echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7648    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7649echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7650    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7651echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7652    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7653echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7654    (
     7655      cat <<\_ASBOX
     7656## ---------------------------------------------- ##
     7657## Report this to orxonox-dev at mail.datacore.ch ##
     7658## ---------------------------------------------- ##
     7659_ASBOX
     7660    ) |
     7661      sed "s/^/$as_me: WARNING:     /" >&2
     7662    ;;
     7663esac
     7664echo "$as_me:$LINENO: checking for $ac_header" >&5
     7665echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7666if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7667  echo $ECHO_N "(cached) $ECHO_C" >&6
     7668else
     7669  eval "$as_ac_Header=\$ac_header_preproc"
     7670fi
     7671echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7672echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7673
     7674fi
     7675if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7676  cat >>confdefs.h <<_ACEOF
     7677#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7678_ACEOF
     7679
     7680fi
     7681
     7682done
     7683
     7684
     7685# Checks for typedefs, structures, and compiler characteristics.
     7686echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
     7687echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
     7688if test "${ac_cv_header_stdbool_h+set}" = set; then
     7689  echo $ECHO_N "(cached) $ECHO_C" >&6
     7690else
     7691  cat >conftest.$ac_ext <<_ACEOF
     7692/* confdefs.h.  */
     7693_ACEOF
     7694cat confdefs.h >>conftest.$ac_ext
     7695cat >>conftest.$ac_ext <<_ACEOF
     7696/* end confdefs.h.  */
     7697
     7698#include <stdbool.h>
     7699#ifndef bool
     7700# error bool is not defined
     7701#endif
     7702#ifndef false
     7703# error false is not defined
     7704#endif
     7705#if false
     7706# error false is not 0
     7707#endif
     7708#ifndef true
     7709# error true is not defined
     7710#endif
     7711#if true != 1
     7712# error true is not 1
     7713#endif
     7714#ifndef __bool_true_false_are_defined
     7715# error __bool_true_false_are_defined is not defined
     7716#endif
     7717
     7718        struct s { _Bool s: 1; _Bool t; } s;
     7719
     7720        char a[true == 1 ? 1 : -1];
     7721        char b[false == 0 ? 1 : -1];
     7722        char c[__bool_true_false_are_defined == 1 ? 1 : -1];
     7723        char d[(bool) -0.5 == true ? 1 : -1];
     7724        bool e = &s;
     7725        char f[(_Bool) -0.0 == false ? 1 : -1];
     7726        char g[true];
     7727        char h[sizeof (_Bool)];
     7728        char i[sizeof s.t];
     7729
     7730int
     7731main ()
     7732{
     7733 return !a + !b + !c + !d + !e + !f + !g + !h + !i;
     7734  ;
     7735  return 0;
     7736}
     7737_ACEOF
     7738rm -f conftest.$ac_objext
     7739if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7740  (eval $ac_compile) 2>conftest.er1
     7741  ac_status=$?
     7742  grep -v '^ *+' conftest.er1 >conftest.err
     7743  rm -f conftest.er1
     7744  cat conftest.err >&5
     7745  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7746  (exit $ac_status); } &&
     7747         { ac_try='test -z "$ac_c_werror_flag"
     7748                         || test ! -s conftest.err'
     7749  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7750  (eval $ac_try) 2>&5
     7751  ac_status=$?
     7752  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7753  (exit $ac_status); }; } &&
     7754         { ac_try='test -s conftest.$ac_objext'
     7755  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7756  (eval $ac_try) 2>&5
     7757  ac_status=$?
     7758  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7759  (exit $ac_status); }; }; then
     7760  ac_cv_header_stdbool_h=yes
     7761else
     7762  echo "$as_me: failed program was:" >&5
     7763sed 's/^/| /' conftest.$ac_ext >&5
     7764
     7765ac_cv_header_stdbool_h=no
     7766fi
     7767rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7768fi
     7769echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     7770echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
     7771echo "$as_me:$LINENO: checking for _Bool" >&5
     7772echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
     7773if test "${ac_cv_type__Bool+set}" = set; then
     7774  echo $ECHO_N "(cached) $ECHO_C" >&6
     7775else
     7776  cat >conftest.$ac_ext <<_ACEOF
     7777/* confdefs.h.  */
     7778_ACEOF
     7779cat confdefs.h >>conftest.$ac_ext
     7780cat >>conftest.$ac_ext <<_ACEOF
     7781/* end confdefs.h.  */
     7782$ac_includes_default
     7783int
     7784main ()
     7785{
     7786if ((_Bool *) 0)
     7787  return 0;
     7788if (sizeof (_Bool))
     7789  return 0;
     7790  ;
     7791  return 0;
     7792}
     7793_ACEOF
     7794rm -f conftest.$ac_objext
     7795if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7796  (eval $ac_compile) 2>conftest.er1
     7797  ac_status=$?
     7798  grep -v '^ *+' conftest.er1 >conftest.err
     7799  rm -f conftest.er1
     7800  cat conftest.err >&5
     7801  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7802  (exit $ac_status); } &&
     7803         { ac_try='test -z "$ac_c_werror_flag"
     7804                         || test ! -s conftest.err'
     7805  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7806  (eval $ac_try) 2>&5
     7807  ac_status=$?
     7808  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7809  (exit $ac_status); }; } &&
     7810         { ac_try='test -s conftest.$ac_objext'
     7811  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7812  (eval $ac_try) 2>&5
     7813  ac_status=$?
     7814  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7815  (exit $ac_status); }; }; then
     7816  ac_cv_type__Bool=yes
     7817else
     7818  echo "$as_me: failed program was:" >&5
     7819sed 's/^/| /' conftest.$ac_ext >&5
     7820
     7821ac_cv_type__Bool=no
     7822fi
     7823rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7824fi
     7825echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
     7826echo "${ECHO_T}$ac_cv_type__Bool" >&6
     7827if test $ac_cv_type__Bool = yes; then
     7828
     7829cat >>confdefs.h <<_ACEOF
     7830#define HAVE__BOOL 1
     7831_ACEOF
     7832
     7833
     7834fi
     7835
     7836if test $ac_cv_header_stdbool_h = yes; then
     7837
     7838cat >>confdefs.h <<\_ACEOF
     7839#define HAVE_STDBOOL_H 1
     7840_ACEOF
     7841
     7842fi
     7843
     7844
     7845# Checks for library functions.
     7846
     7847for ac_header in stdlib.h
     7848do
     7849as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     7850if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7851  echo "$as_me:$LINENO: checking for $ac_header" >&5
     7852echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7853if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7854  echo $ECHO_N "(cached) $ECHO_C" >&6
     7855fi
     7856echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7857echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7858else
     7859  # Is the header compilable?
     7860echo "$as_me:$LINENO: checking $ac_header usability" >&5
     7861echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     7862cat >conftest.$ac_ext <<_ACEOF
     7863/* confdefs.h.  */
     7864_ACEOF
     7865cat confdefs.h >>conftest.$ac_ext
     7866cat >>conftest.$ac_ext <<_ACEOF
     7867/* end confdefs.h.  */
     7868$ac_includes_default
     7869#include <$ac_header>
     7870_ACEOF
     7871rm -f conftest.$ac_objext
     7872if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7873  (eval $ac_compile) 2>conftest.er1
     7874  ac_status=$?
     7875  grep -v '^ *+' conftest.er1 >conftest.err
     7876  rm -f conftest.er1
     7877  cat conftest.err >&5
     7878  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7879  (exit $ac_status); } &&
     7880         { ac_try='test -z "$ac_c_werror_flag"
     7881                         || test ! -s conftest.err'
     7882  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7883  (eval $ac_try) 2>&5
     7884  ac_status=$?
     7885  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7886  (exit $ac_status); }; } &&
     7887         { ac_try='test -s conftest.$ac_objext'
     7888  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7889  (eval $ac_try) 2>&5
     7890  ac_status=$?
     7891  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7892  (exit $ac_status); }; }; then
     7893  ac_header_compiler=yes
     7894else
     7895  echo "$as_me: failed program was:" >&5
     7896sed 's/^/| /' conftest.$ac_ext >&5
     7897
     7898ac_header_compiler=no
     7899fi
     7900rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7901echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     7902echo "${ECHO_T}$ac_header_compiler" >&6
     7903
     7904# Is the header present?
     7905echo "$as_me:$LINENO: checking $ac_header presence" >&5
     7906echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     7907cat >conftest.$ac_ext <<_ACEOF
     7908/* confdefs.h.  */
     7909_ACEOF
     7910cat confdefs.h >>conftest.$ac_ext
     7911cat >>conftest.$ac_ext <<_ACEOF
     7912/* end confdefs.h.  */
     7913#include <$ac_header>
     7914_ACEOF
     7915if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     7916  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     7917  ac_status=$?
     7918  grep -v '^ *+' conftest.er1 >conftest.err
     7919  rm -f conftest.er1
     7920  cat conftest.err >&5
     7921  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7922  (exit $ac_status); } >/dev/null; then
     7923  if test -s conftest.err; then
     7924    ac_cpp_err=$ac_c_preproc_warn_flag
     7925    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     7926  else
     7927    ac_cpp_err=
     7928  fi
     7929else
     7930  ac_cpp_err=yes
     7931fi
     7932if test -z "$ac_cpp_err"; then
     7933  ac_header_preproc=yes
     7934else
     7935  echo "$as_me: failed program was:" >&5
     7936sed 's/^/| /' conftest.$ac_ext >&5
     7937
     7938  ac_header_preproc=no
     7939fi
     7940rm -f conftest.err conftest.$ac_ext
     7941echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     7942echo "${ECHO_T}$ac_header_preproc" >&6
     7943
     7944# So?  What about this header?
     7945case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     7946  yes:no: )
     7947    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     7948echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     7949    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     7950echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     7951    ac_header_preproc=yes
     7952    ;;
     7953  no:yes:* )
     7954    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     7955echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     7956    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     7957echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     7958    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     7959echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     7960    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     7961echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     7962    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     7963echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     7964    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     7965echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     7966    (
     7967      cat <<\_ASBOX
     7968## ---------------------------------------------- ##
     7969## Report this to orxonox-dev at mail.datacore.ch ##
     7970## ---------------------------------------------- ##
     7971_ASBOX
     7972    ) |
     7973      sed "s/^/$as_me: WARNING:     /" >&2
     7974    ;;
     7975esac
     7976echo "$as_me:$LINENO: checking for $ac_header" >&5
     7977echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     7978if eval "test \"\${$as_ac_Header+set}\" = set"; then
     7979  echo $ECHO_N "(cached) $ECHO_C" >&6
     7980else
     7981  eval "$as_ac_Header=\$ac_header_preproc"
     7982fi
     7983echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     7984echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     7985
     7986fi
     7987if test `eval echo '${'$as_ac_Header'}'` = yes; then
     7988  cat >>confdefs.h <<_ACEOF
     7989#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     7990_ACEOF
    73927991
    73937992fi
     
    75808179
    75818180
    7582                                                   ac_config_files="$ac_config_files Makefile src/Makefile src/importer/Makefile src/console/Makefile src/gui/Makefile"
     8181######################
     8182## OUTPUT CONFIGURE ##
     8183######################
     8184                                                                                ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/gui/Makefile src/lib/gui/console/Makefile src/lib/gui/gui/Makefile"
    75838185
    75848186
     
    77138315Usually this means the macro was only invoked conditionally." >&5
    77148316echo "$as_me: error: conditional \"HAVE_GTK2\" was never defined.
     8317Usually this means the macro was only invoked conditionally." >&2;}
     8318   { (exit 1); exit 1; }; }
     8319fi
     8320if test -z "${HAVE_GTHREAD_TRUE}" && test -z "${HAVE_GTHREAD_FALSE}"; then
     8321  { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTHREAD\" was never defined.
     8322Usually this means the macro was only invoked conditionally." >&5
     8323echo "$as_me: error: conditional \"HAVE_GTHREAD\" was never defined.
     8324Usually this means the macro was only invoked conditionally." >&2;}
     8325   { (exit 1); exit 1; }; }
     8326fi
     8327if test -z "${HAVE_CURL_TRUE}" && test -z "${HAVE_CURL_FALSE}"; then
     8328  { { echo "$as_me:$LINENO: error: conditional \"HAVE_CURL\" was never defined.
     8329Usually this means the macro was only invoked conditionally." >&5
     8330echo "$as_me: error: conditional \"HAVE_CURL\" was never defined.
    77158331Usually this means the macro was only invoked conditionally." >&2;}
    77168332   { (exit 1); exit 1; }; }
     
    81628778  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    81638779  "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
    8164   "src/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/importer/Makefile" ;;
    8165   "src/console/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/console/Makefile" ;;
    8166   "src/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/gui/Makefile" ;;
     8780  "src/lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/Makefile" ;;
     8781  "src/lib/graphics/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/graphics/Makefile" ;;
     8782  "src/lib/graphics/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/graphics/importer/Makefile" ;;
     8783  "src/lib/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gui/Makefile" ;;
     8784  "src/lib/gui/console/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gui/console/Makefile" ;;
     8785  "src/lib/gui/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/gui/gui/Makefile" ;;
    81678786  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    81688787  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
     
    83198938s,@HAVE_GTK2_TRUE@,$HAVE_GTK2_TRUE,;t t
    83208939s,@HAVE_GTK2_FALSE@,$HAVE_GTK2_FALSE,;t t
     8940s,@GTHREAD_LIBS@,$GTHREAD_LIBS,;t t
     8941s,@GTHREAD_CFLAGS@,$GTHREAD_CFLAGS,;t t
     8942s,@HAVE_GTHREAD_TRUE@,$HAVE_GTHREAD_TRUE,;t t
     8943s,@HAVE_GTHREAD_FALSE@,$HAVE_GTHREAD_FALSE,;t t
     8944s,@CURL_LIBS@,$CURL_LIBS,;t t
     8945s,@CURL_CFLAGS@,$CURL_CFLAGS,;t t
     8946s,@HAVE_CURL_TRUE@,$HAVE_CURL_TRUE,;t t
     8947s,@HAVE_CURL_FALSE@,$HAVE_CURL_FALSE,;t t
    83218948s,@LIBOBJS@,$LIBOBJS,;t t
    83228949s,@LTLIBOBJS@,$LTLIBOBJS,;t t
Note: See TracChangeset for help on using the changeset viewer.